﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr103_1
{
    // Описание класса:
    class MyClass
    {
        // Метод:
        static public bool Method1(String S1, String S2)
        {
            // Алгоритм.
            // Проверяем, есть ли символ из строки S1
            // в S2. Если нет - сразу же возвращаем false
            // Потом аналогично поступаем для строки S2.
            // После проверки возвращаем true
            foreach (char s in S1)
            {
                // Ищем символ s в строке S2:
                if ( S2.IndexOf(s) == -1 ) // если символа нет...
                    return false; //... строки не равны
            }
            foreach (char s in S2)
            {
                // Ищем символ s в строке S1:
                if ( S1.IndexOf(s) == -1 ) // если символа нет...
                    return false; //... строки не равны
            }
            // Для каждого символа из строки S1 нашелся
            // соответствующий символ в строке S2 и наоборот
            return true; // Строки равны
        }
    }
    class Program
    {
        static void Main()
        {
            String S1 = "ммааммммааа";
            String S2 = "ма";
            String S3 = "Abcd";
            String S4 = "dcbaAA";
            if ( MyClass.Method1(S1, S2) )
                Console.WriteLine("Строки \"{0}\" и \"{1}\" равны", S1, S2);
            else
                Console.WriteLine("Строки \"{0}\" и \"{1}\" не равны", S1, S2);
            if ( MyClass.Method1(S3, S4) )
                Console.WriteLine("Строки \"{0}\" и \"{1}\" равны", S3, S4);
            else
                Console.WriteLine("Строки \"{0}\" и \"{1}\" не равны", S3, S4);
            // Задержка:
            Console.ReadLine();
        }
    }
}
